Bug 43286 - [regression] SIGSEGV in OpenConfigDir at scan.c:861
Summary: [regression] SIGSEGV in OpenConfigDir at scan.c:861
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium critical
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xserver-1.12
  Show dependency treegraph
 
Reported: 2011-11-27 19:01 UTC by David Ronis
Modified: 2011-12-09 04:34 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Ronis 2011-11-27 19:01:49 UTC
I follow the git/master on an HP Pavillion laptop, currently running a 3.1.2 kernel on what is basically a current slackware distibution.  The laptop has an ati-radian card (R200).   I built with debugging symbols and  ran 'gdb X' as root;  here's the backtrace:

Program received signal SIGSEGV, Segmentation fault.
0x080f4d86 in OpenConfigDir (path=0x81fef08 "%A,%R,/etc/X11/%R,%C/X11/%R,/etc/X11/%X,%C/X11/%X", cmdline=0x0, projroot=0x81feff0 "/usr", 
    confname=0x820a30a "xorg.conf.d") at scan.c:861
861                             free(list[num]);

[according to gdb num=-2 and list is 0x0]
(gdb) thread apply all bt full

Thread 1 (Thread 0xb745f7e0 (LWP 30196)):
#0  0x080f4d86 in OpenConfigDir (path=0x81fef08 "%A,%R,/etc/X11/%R,%C/X11/%R,/etc/X11/%X,%C/X11/%X", cmdline=0x0, projroot=0x81feff0 "/usr", 
    confname=0x820a30a "xorg.conf.d") at scan.c:861
        list = 0x0
        num = -2
        dirpath = 0x0
        pathcopy = 0x8918fe0 "%A"
        template = 0x8919008 "%C/X11/%X"
        found = 0
        cmdlineUsed = 0
#1  0x080f4f2e in xf86openConfigDirFiles (path=0x81fef08 "%A,%R,/etc/X11/%R,%C/X11/%R,/etc/X11/%X,%C/X11/%X", cmdline=0x0, projroot=0x81feff0 "/usr")
    at scan.c:956
No locals.
#2  0x080ba63a in xf86HandleConfigFile (autoconfig=0) at xf86Config.c:2328
        filename = 0xbfa9767c "\360<\221\b\300\031\\\267\320\003&\b\250v\251\277\370\376\t\b\f\301&\b@"
        dirname = 0x81ffc16 "Log file: \"%s\", Time: %s"
        sysdirname = 0x8919d70 "/usr/share/X11/xorg.conf.d"
        filesearch = 0x81fee74 "%A,%R,/etc/X11/%R,%P/etc/X11/%R,%E,%F,/etc/X11/%F,%P/etc/X11/%F,/etc/X11/%X,/etc/%X,%P/etc/X11/
%X.%H,%P/etc/X11/%X,%P/lib/X11/%X.%H,%P/lib/X11/%X"
        dirsearch = 0x81fef08 "%A,%R,/etc/X11/%R,%C/X11/%R,/etc/X11/%X,%C/X11/%X"
        filefrom = X_DEFAULT
        dirfrom = X_DEFAULT
        scanptr = 0xb759f5a0 "%.3s %.3s%3d %.2d:%.2d:%.2d %d\n"
        singlecard = 0
        implicit_layout = 0
#3  0x080c2b09 in InitOutput (pScreenInfo=0x8272ca0, argc=1, argv=0xbfa97804) at xf86Init.c:365
        i = 0
        j = 0
        k = 136709072
        scr_index = -1219665935
        was_blocked = 0
        modulelist = 0x0
        optionlist = 0xb77e1820
        screenpix24 = 134735405
        pix24 = 3215554328
        pix24From = X_DEFAULT
        pix24Fail = 0
        autoconfig = 0
        configured_device = 0xb78c4ab8
#4  0x080631bc in main (argc=1, argv=0xbfa97804, envp=0xbfa9780c) at main.c:204
        i = 256
        alwaysCheckForInput = {0, 1}
Comment 1 Alan Coopersmith 2011-11-28 07:44:36 UTC
I believe this is the bug Paulo already submitted a patch to fix over
the weekend:  http://patchwork.freedesktop.org/patch/7998/
Comment 2 David Ronis 2011-11-29 18:21:59 UTC
Still no commit AFAIK.
Comment 3 Paulo Zanoni 2011-11-30 07:47:18 UTC
(In reply to comment #2)
> Still no commit AFAIK.

Yes. If you could test the patch and reply to the email with a tag "Tested-by: David Ronis <david.ronis@yourdomain.com>" it may accelerate the process. Mentioning this bug report might make things even faster.

Unfortunately in our current development process it is a little bit hard to get patches committed to the master branch, so even trivial bug fixes like this require a lot of persistence.

Here is the latest patch version:

http://lists.x.org/archives/xorg-devel/2011-November/027213.html

http://patchwork.freedesktop.org/patch/8008/
Comment 4 David Ronis 2011-12-01 18:51:35 UTC
Tested-by:
David Ronis <david.ronis@mcgill.ca>

The patch works.


On Wed, 2011-11-30 at 07:47 +0000, bugzilla-daemon@freedesktop.org
wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=43286
> 
> --- Comment #3 from Paulo Zanoni <przanoni@gmail.com> 2011-11-30 07:47:18 UTC ---
> (In reply to comment #2)
> > Still no commit AFAIK.
> 
> Yes. If you could test the patch and reply to the email with a tag "Tested-by:
> David Ronis <david.ronis@yourdomain.com>" it may accelerate the process.
> Mentioning this bug report might make things even faster.
> 
> Unfortunately in our current development process it is a little bit hard to get
> patches committed to the master branch, so even trivial bug fixes like this
> require a lot of persistence.
> 
> Here is the latest patch version:
> 
> http://lists.x.org/archives/xorg-devel/2011-November/027213.html
> 
> http://patchwork.freedesktop.org/patch/8008/
>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.